Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceBaseCodeBean<N extends AbstractTreeNode<N>>

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.common.model.AbstractTreeNode<N>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceBaseCodeBean<N>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<N>`, `TreeNode<N>`

Direct Known Subclasses:
  `VoiceCostMapItem`, `VoiceGeographicCode`, `VoiceZoneMapItem`

public class VoiceBaseCodeBean<N extends AbstractTreeNode<N>> extends AbstractTreeNode<N> implements Cloneable

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.AbstractTreeNode

  `children, parentId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceBaseCodeBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getCode()`
  `Date`
  `getDateFrom()`
  Получение даты начала действия географического кода.
  `Date`
  `getDateTo()`
  Получение даты окончания действия географического кода.
  `int`
  `getDestinationId()`
  `String`
  `getDestinationTitle()`
  `int`
  `getLevel()`
  `VoiceBaseCodeBean`
  `setCode(String code)`
  `VoiceBaseCodeBean`
  `setDateFrom(Date dateFrom)`
  Установка даты начала действия географического кода.
  `VoiceBaseCodeBean`
  `setDateTo(Date dateTo)`
  Установка даты начала действия географического кода.
  `VoiceBaseCodeBean`
  `setDestinationId(int destinationId)`
  `VoiceBaseCodeBean`
  `setDestinationTitle(String destinationTitle)`
  `VoiceBaseCodeBean`
  `setLevel(int level)`

  ### Methods inherited from class ru.bitel.common.model.AbstractTreeNode

  `getChildren, getParentId, setChildren, setParentId, toList`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceBaseCodeBean

    public VoiceBaseCodeBean()

- ## Method Details

  - ### clone

    public Object clone() throws CloneNotSupportedException
    Overrides:
      `clone` in class `Object`
    Throws:
      `CloneNotSupportedException`

  - ### getCode

    public String getCode()

  - ### getDateFrom

    public Date getDateFrom()
    Получение даты начала действия географического кода.
    Returns:
      дата начала.

  - ### getDateTo

    public Date getDateTo()
    Получение даты окончания действия географического кода.
    Returns:
      дата окончания.

  - ### getDestinationId

    public int getDestinationId()

  - ### getDestinationTitle

    public String getDestinationTitle()

  - ### getLevel

    public int getLevel()

  - ### setCode

    public VoiceBaseCodeBean setCode(String code)

  - ### setDateFrom

    public VoiceBaseCodeBean setDateFrom(Date dateFrom)
    Установка даты начала действия географического кода.
    Parameters:
      `dateFrom` - дата начала

  - ### setDateTo

    public VoiceBaseCodeBean setDateTo(Date dateTo)
    Установка даты начала действия географического кода.
    Parameters:
      `dateTo` - дата окончания.

  - ### setDestinationId

    public VoiceBaseCodeBean setDestinationId(int destinationId)

  - ### setDestinationTitle

    public VoiceBaseCodeBean setDestinationTitle(String destinationTitle)

  - ### setLevel

    public VoiceBaseCodeBean setLevel(int level)